
:root {
    --line-border-fill: #3498db;
    --line-border-empty: #e0e0e0;
  }



body {
  
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}

.container {
  text-align: center;
}

.progress-container {
  display: flex;
  justify-content: space-between;
  position: relative;
  max-width: 100%;
  
}

.progress-container::before {

  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 0.25em;
  width: 100%;
  z-index: -1;
}

.progress {
  background-color: var(--line-border-fill);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 0.25em;
  width: 0%;
  z-index: -1;
  transition: 0.4s ease;
}

.circle {
  background-color: antiquewhite;
 
  border-radius: 50%;
  height: 2em;
  width: 2em;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 3px solid var(--line-border-empty);
  transition: 0.4s ease;
}

.circle.active {
  border-color: var(--line-border-fill);
}

.btn {
  background-color: var(--line-border-fill);
  border: 0;
  border-radius: 6px;
  cursor: pointer;
  font-family: inherit;
  padding: 0.5em 2em;
  font-size: 14px;
}

.btn:active {
  transform: scale(0.98);
}

.btn:focus {
  outline: 0;
}

.btn:disabled {
  background-color: var(--line-border-empty);
  cursor: not-allowed;
}